package com.bzd.system.service.jkgl;

import com.bzd.common.config.dao.DaoBase;
import com.bzd.common.config.dao.DaoSupport;
import com.bzd.common.config.dao.PageData;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import javax.annotation.Resource;
import java.util.List;


/**
*
* 平台合约模板信息表 service
* @author LiXiangFei
* @since 2024-10-15
*/

@Service
public class SJkglGyhyPthyContracttemplateinfoService {

    @Autowired
    private DaoBase dao;

    @Resource(name = "daoSupport")
    private DaoSupport daoSupport;

    public Integer addSJkglGyhyPthyContracttemplateinfo(PageData pd)throws Exception {
        return daoSupport.update("SJkglGyhyPthyContracttemplateinfoMapper.addSJkglGyhyPthyContracttemplateinfo", pd);
    }

    public List<PageData> findSJkglGyhyPthyContracttemplateinfoList(PageData pd) throws Exception{
        return (List<PageData>) daoSupport.findForList("SJkglGyhyPthyContracttemplateinfoMapper.selectSJkglGyhyPthyContracttemplateinfoList", pd);
    }

    public Integer SJkglGyhyPthyContracttemplateinfoRemove(PageData pd)throws Exception {
        return daoSupport.delete("SJkglGyhyPthyContracttemplateinfoMapper.SJkglGyhyPthyContracttemplateinfoRemove", pd);
    }


    public Integer updateSJkglGyhyPthyContracttemplateinfo(PageData pd)throws Exception {
        return daoSupport.update("SJkglGyhyPthyContracttemplateinfoMapper.updateSJkglGyhyPthyContracttemplateinfo", pd);
    }

}
